.map-controls {
    position: relative;
    width: 100%;
    display: flex;

    background: rgba(0,0,0,0.4);
    border-radius: 30px;
    overflow: hidden;
}

/* BOTONES */
.tab-btn {
    flex: 1;
    padding: 10px 0;
    border: none;
    background: transparent;
    color: white;
    cursor: pointer;
    z-index: 2;

    transition: color 0.3s;
}

.tab-btn.active {
    color: black;
    font-weight: bold;
}

/* INDICADOR */
.switch-indicator {
    position: absolute;
    top: 0;
    left: 0;
    width: 50%;
    height: 100%;

    background: #f4d000;
    border-radius: 30px;

    transition: transform 0.3s ease;
    z-index: 1;
}